Page MenuHomePhabricator

Upgrade Gerrit to 2.6
Closed, ResolvedPublic

Description

2.5 is super important (yay plugins!)

Just hit rc0 yesterday. Upgraded gerrit-dev labs instance.

Once it hits final, we'll want to upgrade the main instance.


Version: unspecified
Severity: blocker

Details

Reference
bz39589

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:05 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz39589.
demon created this task.Aug 23 2012, 3:59 PM
demon added a comment.Nov 16 2012, 5:48 PM

This is on hold pending https://gerrit-review.googlesource.com/#/c/39140/ being reviewed & merged.

At which point, we'll probably skip 2.5 and just deploy stable-2.6 + this patch.

Note: This upgrade is planned for the first quarter of 2013.

demon added a comment.Feb 1 2013, 9:05 PM

We've finally ironed out all of the issues with groups, and I'm confident that we'll have a smooth upgrade.

We've pencilled in the date of Feb 11th (a week from Monday) for the upgrade. Once we finalize that, I'll send out the usual notifications to wikitech-l and elsewhere.

demon added a comment.Feb 12 2013, 3:23 AM

We are now running 2.5.1-1266-gcc231e1.

So long and good riddance 2.4.x.

Lots of the dependent bugs can probably be resolved, but I'm not going through them tonight.

saper added a comment.Feb 12 2013, 6:58 AM

Congratulations, ^demon!

This is really great. Now all new stuff we prepare ourselves can go live quickly :)

And no longer this "Session cookie not available" screen on login!

I only hate that I don't see my email and logout button anymore, but overall this version is so much better.

Switching to master in the future? :)